| QxOrm 1.4.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes
qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner > Class Template Reference

`#include <QxDataMember_PImpl.h>`

Inheritance diagram for qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >:

List of all members.

## Public Member Functions
| QxDataMember_PImpl (type_data_member_ptr pData, const QString &sKey)
virtual | ~QxDataMember_PImpl ()
virtual bool | isEqual (const void *pOwner1, const void *pOwner2) const Q_DECL_OVERRIDE
virtual QVariant | toVariant (const void *pOwner, const QString &sFormat, int iIndexName=-1, qx::cvt::context::ctx_type ctx=qx::cvt::context::e_no_context) const Q_DECL_OVERRIDE
virtual qx_bool | fromVariant (void *pOwner, const QVariant &v, const QString &sFormat, int iIndexName=-1, qx::cvt::context::ctx_type ctx=qx::cvt::context::e_no_context) Q_DECL_OVERRIDE
virtual QString | getType () const Q_DECL_OVERRIDE
virtual QJsonValue | toJson (const void *pOwner, const QString &sFormat) const Q_DECL_OVERRIDE
virtual qx_bool | fromJson (void *pOwner, const QJsonValue &j, const QString &sFormat) Q_DECL_OVERRIDE
## Protected Types
typedef std::shared_ptr < DataType > Owner::* | type_data_member_ptr
## Protected Member Functions
std::shared_ptr< DataType > * | getData (void *pOwner) const
const std::shared_ptr< DataType > * | getData (const void *pOwner) const
virtual qx::any | getDataPtr (const void *pOwner) const Q_DECL_FINAL
virtual qx::any | getDataPtr (void *pOwner) Q_DECL_FINAL
virtual void * | getDataVoidPtr (const void *pOwner) const Q_DECL_FINAL
virtual void * | getDataVoidPtr (void *pOwner) Q_DECL_FINAL
## Protected Attributes
type_data_member_ptr | m_pData
| Data member under format "& Owner::DataMember".

## Detailed Description

### template<typename DataType, class Owner>
class qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >

Definition at line 209 of file QxDataMember_PImpl.h.

## Member Typedef Documentation

template<typename DataType , class Owner >

typedef std::shared_ptr<DataType> Owner::* qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::type_data_member_ptr`[protected]`

Definition at line 214 of file QxDataMember_PImpl.h.

## Constructor & Destructor Documentation

template<typename DataType , class Owner >

qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::QxDataMember_PImpl | ( | type_data_member_ptr | pData,
|  | const QString & | sKey
| ) |  | `[inline]`

Definition at line 220 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

virtual qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::~QxDataMember_PImpl | ( |  | ) | `[inline, virtual]`

Definition at line 221 of file QxDataMember_PImpl.h.

## Member Function Documentation

template<typename DataType , class Owner >

virtual qx_bool qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::fromJson | ( | void * | pOwner,
|  | const QJsonValue & | j,
|  | const QString & | sFormat
| ) |  | `[inline, virtual]`

Implements qx::IxDataMember.

Definition at line 230 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

virtual qx_bool qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::fromVariant | ( | void * | pOwner,
|  | const QVariant & | v,
|  | const QString & | sFormat,
|  | int | iIndexName = `-1`,
|  | qx::cvt::context::ctx_type | ctx = `qx::cvt::context::e_no_context`
| ) |  | `[inline, virtual]`

Implements qx::IxDataMember.

Definition at line 225 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

std::shared_ptr<DataType>* qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::getData | ( | void * | pOwner | ) | const`[inline, protected]`

Definition at line 235 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

const std::shared_ptr<DataType>* qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::getData | ( | const void * | pOwner | ) | const`[inline, protected]`

Definition at line 236 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

virtual qx::any qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::getDataPtr | ( | const void * | pOwner | ) | const`[inline, protected, virtual]`

Implements qx::IxDataMember.

Definition at line 238 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

virtual qx::any qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::getDataPtr | ( | void * | pOwner | ) | `[inline, protected, virtual]`

Implements qx::IxDataMember.

Definition at line 239 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

virtual void* qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::getDataVoidPtr | ( | const void * | pOwner | ) | const`[inline, protected, virtual]`

Implements qx::IxDataMember.

Definition at line 240 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

virtual void* qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::getDataVoidPtr | ( | void * | pOwner | ) | `[inline, protected, virtual]`

Implements qx::IxDataMember.

Definition at line 241 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

virtual QString qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::getType | ( |  | ) | const`[inline, virtual]`

Reimplemented from qx::IxDataMember.

Definition at line 226 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

virtual bool qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::isEqual | ( | const void * | pOwner1,
|  | const void * | pOwner2
| ) |  | const`[inline, virtual]`

Implements qx::IxDataMember.

Definition at line 223 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

virtual QJsonValue qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::toJson | ( | const void * | pOwner,
|  | const QString & | sFormat
| ) |  | const`[inline, virtual]`

Implements qx::IxDataMember.

Definition at line 229 of file QxDataMember_PImpl.h.

template<typename DataType , class Owner >

virtual QVariant qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::toVariant | ( | const void * | pOwner,
|  | const QString & | sFormat,
|  | int | iIndexName = `-1`,
|  | qx::cvt::context::ctx_type | ctx = `qx::cvt::context::e_no_context`
| ) |  | const`[inline, virtual]`

Implements qx::IxDataMember.

Definition at line 224 of file QxDataMember_PImpl.h.

## Member Data Documentation

template<typename DataType , class Owner >

type_data_member_ptr qx::QxDataMember_PImpl< std::shared_ptr< DataType >, Owner >::m_pData`[protected]`

Data member under format "& Owner::DataMember".

Definition at line 216 of file QxDataMember_PImpl.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxDataMember/QxDataMember_PImpl.h